/*
 * Copyright (C) 2002 by Jirka Kosina <jikos@jikos.cz>
 * This program is free software under GPL.
 * See ../COPYING for detailed info
 */


#include "japach.h"

 /* logging of reply, count of bytes, etc. to specified logfile */
int logrequest(FILE * lf, int reply, int bytes)
{
	char buffer[MAXLINE];
	char buffer2[MAXLINE];
	char s_reply[MAXLINE], s_bytes[MAXLINE];
	time_t curtime;
	struct tm *loctime;

	strcpy(buffer, "");
	curtime = time(NULL);
	loctime = localtime(&curtime);
	strftime(buffer, 256, "%d/%b/%Y:%H:%M:%S", loctime);

	strcpy(buffer2, "");
	strncpy(buffer2, client.host_name, MAXLINE - strlen(buffer2));	/* hostname */
	strncat(buffer2, " - - [", MAXLINE - strlen(buffer2));	/* login & rfc931 */
	strncat(buffer2, buffer, MAXLINE - strlen(buffer2));
	strcat(buffer2, "] \"");	/* date */
	strncat(buffer2, client.first_line, MAXLINE - strlen(buffer2));
	strcat(buffer2, "\"");	/* request */
	sprintf(s_reply, "%d", reply);
	sprintf(s_bytes, "%d", bytes);
	strcat(buffer2, " ");
	strncat(buffer2, s_reply, MAXLINE - strlen(buffer2));
	strcat(buffer2, " ");
	strncat(buffer2, s_bytes, MAXLINE - strlen(buffer2));
	strcat(buffer2, "\n");
	fputs(buffer2, lf);
	fflush(lf);


}

 /* insert some string into logfile */
int logwrite(FILE * lf, const char *s)
{
	char buffer[MAXLINE];
	time_t curtime;
	pid_t pid;
	char pid_s[8];
	struct tm *loctime;


	pid = getpid();
	strcpy(buffer, "");
	curtime = time(NULL);
	loctime = localtime(&curtime);
	strftime(buffer, 256, "%d/%m/%y %H:%M", loctime);
	sprintf(pid_s, "[%d]", (int) pid);
	strncat(buffer, pid_s, MAXLINE - strlen(buffer));
	strncat(buffer, " ", MAXLINE - strlen(buffer));
	strncat(buffer, s, MAXLINE - strlen(buffer));
	fprintf(stderr," buffer: ->%s<-\n", buffer);
	fputs(buffer, lf);
	fflush(lf);
}
